<!DOCTYPE html>
<html lang="en">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Sign Up</title>
</head>
<body>
<h1>Create an Account</h1>
<div class="row d-flex justify-content-center align-items-center">
    <div class="sign-up mt-5 card p-5 d-flex justify-content-center">
        <h1 class="login-header mb-2 text-center">Make a New Account</h1>
        <div th:if="${param.error}" class="login-msg mb-2 text-center">That username or email is already taken</div>
    </div>
    <form th:action="@{/sign-up}" method="post" th:object="${user}">
        <div class="d-flex flex-column align-items-center mt-2">
            <div class="d-flex align-items-center flex-row justify-content-around">
                <label for="username"><i class="fas fa-user login-icon"></i></label>
                <input placeholder="username" class="mb-1 login-input" id="username" th:field="*{username}">
            </div>
            <br>
            <div class="d-flex align-items-center flex-row justify-content-around">
                <label for="firstName"><i class="far fa-id-card login-icon"></i></label>
                <input placeholder="First Name" class="mb-1 login-input" id="firstName" th:field="*{firstName}">
            </div>
            <br>
            <div class="d-flex align-items-center flex-row justify-content-around">
                <label for="lastName"><i class="far fa-id-card login-icon"></i></label>
                <input placeholder="Last Name" class="mb-1 login-input" id="lastName" th:field="*{lastName}">
            </div>
            <br>
            <div class="d-flex align-items-center flex-row justify-content-around">
                <label for="email"><i class="far fa-envelope login-icon"></i></label>
                <input placeholder="Email" class="mb-1 login-input" id="email" th:field="*{email}">
            </div>
            <br>
            <div class="d-flex align-items-center flex-row justify-content-around">
                <label for="password"><i class="far fa-key login-icon"></i></label>
                <input placeholder="Password" class="mb-1 login-input" id="password" th:field="*{password}">
            </div>
        </div>
        <br>
        <input value="Sign Up" type="submit" class="btn login-btn">
    </form>
</div>
</body>
</html>
